> For the complete documentation index, see [llms.txt](https://docs.papayaglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.papayaglobal.com/api-reference/beneficiaries-management/bulk-import-beneficiary-status.md).

# Bulk Import Beneficiary Status

The Bulk Import Beneficiary Job Status can be obtained by utilizing the API.

<mark style="color:blue;">**`GET`**</mark>/payments/beneficiaries/import/{job\_id}

**Body Parameters Request**

| Name    | Type   | Format / Values | Description                    | Required |
| ------- | ------ | --------------- | ------------------------------ | -------- |
| job\_id | string |                 | The job id to fetch status for | Yes      |

**Body Parameters Response**

| Name                                                    | Type    | Format / Values | Description                                           |
| ------------------------------------------------------- | ------- | --------------- | ----------------------------------------------------- |
| job\_id                                                 | string  |                 | The job id assigned to this import                    |
| started\_at                                             | string  | date-time       | The time the import job started                       |
| completed\_at                                           | string  | date-time       | The time the import job completed                     |
| processed                                               | integer |                 | The total number of items processed so far            |
| total                                                   | integer |                 | Total number of items in bulk                         |
| processing                                              | integer |                 | The number of items currently being processed         |
| failed                                                  | integer |                 | Total number of failed items                          |
| status                                                  | string  | QUEUED, DONE    | The current job status                                |
| progress                                                | array   | object          | List of item progress                                 |
| progress\[]                                             | object  |                 |                                                       |
| progress\[].row                                         | integer |                 | The index of the item                                 |
| progress\[].error                                       | object  |                 | Information regarding error encountered for this item |
| progress\[].error.error\_info                           | object  |                 |                                                       |
| progress\[].error.error\_info.valid                     | boolean |                 | Is this item valid                                    |
| progress\[].error.error\_info.warnings                  | array   | object          | List of warnings encountered for this item            |
| progress\[].error.error\_info.warnings\[]               | object  |                 |                                                       |
| progress\[].error.error\_info.warnings\[].properties    | array   | string          | the properties this issue applies to                  |
| progress\[].error.error\_info.warnings\[].properties\[] | string  |                 |                                                       |
| progress\[].error.error\_info.warnings\[].description   | string  |                 | Description of issue                                  |
| progress\[].error.error\_info.errors                    | array   | object          | List of errors encountered for this item              |
| progress\[].error.error\_info.errors\[]                 | object  |                 |                                                       |
| progress\[].error.error\_info.errors\[].properties      | array   | string          | the properties this issue applies to                  |
| progress\[].error.error\_info.errors\[].properties\[]   | string  |                 |                                                       |
| progress\[].error.error\_info.errors\[].description     | string  |                 | Description of issue                                  |
| progress\[].error.error\_code                           | integer |                 | The error code associated with this issue             |
| progress\[].error.error                                 | string  |                 | error type encountered                                |
| progress\[].error.message                               | string  |                 | Human readable error information                      |
| progress\[].status                                      | string  | FAILED, SUCCESS | The status of this item's import                      |

**Request Example**

```json
GET /payments/beneficiaries/import/TPy4DcQATiqZRRzTMEXt2Q
```

**Response Examples**

{% tabs %}
{% tab title="Status: 200 - OK" %}

```json
{
   "completed_at": "2024-03-04T10:56:53.396911923Z",
   "processed": 2,
   "total": 3,
   "job_id": "TPy4DcQATiqZRRzTMEXt2Q",
   "started_at": "2024-03-04T10:56:51.126587470Z",
   "processing": 0,
   "progress": [
      {
         "row": 0,
         "error": {
            "error_info": {
               "valid": false,
               "warnings": [],
               "errors": [
                  {
                     "description": "Missing property bank_name",
                     "properties": [
                        "$.bank_details"
                     ]
                  }
               ]
            },
            "error_code": 422,
            "error": "unprocessable_entity",
            "message": "Payload object is invalid"
         },
         "status": "FAILED"
      },
      {
         "row": 1,
         "status": "SUCCESS"
      },
      {
         "row": 2,
         "status": "SUCCESS"
      }
   ],
   "failed": 1,
   "status": "DONE"
}
```

{% endtab %}

{% tab title="404 - Not Found" %}

```json
{
   "error": "not_found",
   "description": "Status standalone.api.job_202000_OqIr2anOSien3wF4RbVN could not be found",
   "error_code": 404
}
```

{% endtab %}
{% endtabs %}
